package org.ow2.orchestra.persistence.db;

import org.ow2.novabpm.util.Misc;
import org.ow2.orchestra.facade.runtime.ProcessFullInstance;
import org.ow2.orchestra.facade.runtime.impl.ProcessFullInstanceImpl;
import org.ow2.orchestra.persistence.QuerierDbSession;
import org.ow2.orchestra.services.Archiver;

/**
 *
 * @author Alfonso Fuca
 *
 */
public class DbHistory extends AbstractDbQuerier implements Archiver {

  public DbHistory(final QuerierDbSession dbSession) {
    super(dbSession);
  }

  public void archive(final ProcessFullInstance processFullInstance) {
    Misc.checkArgsNotNull(processFullInstance);
    if (getProcessInstance(processFullInstance.getUUID()) == null) {
      getQuerierDbSession().save(new ProcessFullInstanceImpl(processFullInstance));
    } else {
      throw new IllegalArgumentException(" Can't archive: " + processFullInstance + " --- A record with processInstanceUUID: "
        + processFullInstance + " has already been archived ");
    }
  }
}
